For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cards

Payment cards on the account

List user payment cards

get

Returns the list of active payment cards on the account.

Authorizations
AuthorizationstringRequired

API token generated in the MarsProxies dashboard under /settings. Send it as a Bearer token in the Authorization header.

Responses
200

Active payment cards

application/json

List of active payment cards on the account.

get/v1/cards
curl --request GET \
  --url https://api.marsproxies.com/v1/cards \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "data": [
    {
      "id": 4321,
      "provider": "stripe",
      "custom_name": "Personal Visa",
      "default": true,
      "payment_method": "card",
      "card_type": "visa",
      "currency": "USD",
      "last_four_digits": "4242",
      "expiry_date": "12/2030"
    }
  ]
}

Last updated

Was this helpful?